{
    "name": "mirzaev/skillparts",
    "description": "SkillParts",
    "type": "project",
    "license": "AGPL-3.0-or-later",
    "homepage": "https://git.hood.su/mirzaev/skillparts",
    "authors": [
        {
            "name": "Arsen Mirzaev Tatyano-Muradovich",
            "email": "red@hood.su",
            "homepage": "https://hood.su/mirzaev",
            "role": "Developer"
        }
    ],
    "require": {
        "php": "^8.0.0",
        "ext-intl": "~8.0",
        "twbs/bootstrap": "4.6.0",
        "yiisoft/yii2": "2.*",
        "yiisoft/yii2-bootstrap": ">=2.0.0",
        "yiisoft/yii2-swiftmailer": ">=2.0.0",
        "bower-asset/bootstrap": "*",
        "npm-asset/jquery": "^3.5",
        "bower-asset/jquery": "^3.5",
        "triagens/arangodb": "^3.6",
        "moonlandsoft/yii2-phpexcel": ">=2.0",
        "carono/yii2-1c-exchange": "^0.3.1",
        "yiisoft/yii2-imagine": "*",
        "mirzaev/yii2-arangodb": ">=2.1.x-dev",
        "mirzaev/yii2-arangodb-sessions": ">=1.1.x-dev",
        "guzzlehttp/guzzle": "^7.3",
        "phpoffice/phpspreadsheet": "^1.18",
        "hflabs/dadata": "^20.12"
    },
    "require-dev": {
        "yiisoft/yii2-debug": ">=2.1.0",
        "yiisoft/yii2-gii": ">=2.1.0",
        "yiisoft/yii2-faker": ">=2.0.0"
    },
    "autoload": {
        "psr-4": {
            "mirzaev\\skillparts\\": "mirzaev/skillparts/system"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "mirzaev\\skillparts\\tests\\": "mirzaev/skillparts/tests"
        }
    },
    "config": {
        "process-timeout": 1800
    },
    "scripts": {
        "post-update-cmd": [
            "mirzaev/skillparts/system/yii/composer/Installer::postInstall",
            "mkdir -p ./mirzaev/skillparts/system/web/css/bootstrap > /dev/null 2>&1 || true",
            "mkdir -p ./mirzaev/skillparts/system/web/js/bootstrap > /dev/null 2>&1 || true",
            "cp -R ./vendor/twbs/bootstrap/dist/css/* ./mirzaev/skillparts/system/web/css/bootstrap",
            "cp -R ./vendor/twbs/bootstrap/dist/js/* ./mirzaev/skillparts/system/web/js/bootstrap"
        ],
        "post-create-project-cmd": [
            "mirzaev/skillparts/system/yii/composer/Installer::postCreateProject",
            "mirzaev/skillparts/system/yii/composer/Installer::postInstall"
        ]
    },
    "extra": {
        "mirzaev\\skillparts\\system\\yii\\composer\\Installer::postCreateProject": {
            "setPermission": [
                {
                    "mirzaev/skillparts/system/runtime": "0777",
                    "mirzaev/skillparts/system/web/assets": "0777",
                    "mirzaev/skillparts/system/yii": "0755"
                }
            ]
        },
        "mirzaev\\skillparts\\system\\yii\\composer\\Installer::postInstall": {
            "generateCookieValidationKey": [
                "mirzaev/skillparts/system/config/web.php"
            ]
        }
    },
    "repositories": [
        {
            "type": "composer",
            "url": "https://asset-packagist.org"
        }
    ]
}
